local i=require"luci.model.tasks"
local o=require"luci.model.jackett"
local a,t,e
a=i.docker_map("jackett","jackett","/usr/libexec/istorec/jackett.sh",
translate("Jackett"),
translate("Jackett is a single repository of maintained indexer scraping & translation logic - removing the burden from other apps.")
..translate("Official website:")..' <a href=\"https://github.com/Jackett/Jackett\" target=\"_blank\">https://github.com/Jackett/Jackett</a>')
t=a:section(SimpleSection,translate("Service Status"),translate("Jackett status:"))
t:append(Template("jackett/status"))
t=a:section(TypedSection,"jackett",translate("Setup"),translate("The following parameters will only take effect during installation or upgrade:"))
t.addremove=false
t.anonymous=true
e=t:option(Value,"port",translate("Port").."<b>*</b>")
e.rmempty=false
e.default="9117"
e.datatype="port"
e=t:option(Value,"image_name",translate("Image").."<b>*</b>")
e.rmempty=false
e.datatype="string"
e:value("linuxserver/jackett:latest","linuxserver/jackett:latest")
e.default="linuxserver/jackett:latest"
local n=o.blocks()
local i=o.home()
e=t:option(Value,"config_path",translate("Config path").."<b>*</b>")
e.rmempty=false
e.datatype="string"
local s,h=o.find_paths(n,i,"Configs")
for a,t in pairs(s)do
e:value(t,t)
end
e.default=h
e=t:option(Value,"save_path",translate("Torrent save path").."<b>*</b>",translate("Usually use the monitoring folder of the torrent download tool"))
e.rmempty=false
e.datatype="string"
local o,i=o.find_paths(n,i,"Public")
for a,t in pairs(o)do
e:value(t,t)
end
e.default=i
e=t:option(Flag,"auto_update",translate("Auto update"))
e.default=1
e.rmempty=false
return a
